import { DependencyObject } from "igniteui-angular-core";
import { INotifyPropertyChanged, PropertyChangedEventArgs, Type } from "igniteui-angular-core";
import { BrushCollection } from "igniteui-angular-core";
import { Series } from "./Series";
import { NotifyCollectionChangedEventArgs } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { PropertyUpdatedEventArgs } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class BrushScale extends DependencyObject implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    protected p(a: any, b: NotifyCollectionChangedEventArgs): void;
    brushes: BrushCollection;
    private j;
    o: List$1<Series>;
    registerSeries(a: Series): void;
    unregisterSeries(a: Series): void;
    getBrush(a: number): Brush;
    protected get_isReady(): boolean;
    readonly isReady: boolean;
    v(a: number): Brush;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected r(a: string, b: any, c: any): void;
    protected q(a: any, b: string, c: any, d: any): void;
    protected get_isBrushScale(): boolean;
    readonly isBrushScale: boolean;
}
